### Constructor

# EDataBook DataBookDirect new

since: 3.8

#### Declaration [src]

    EDataBookDirect*
    e_data_book_direct_new (
      const gchar* backend_path,
      const gchar* backend_factory_name,
      const gchar* config
    )

#### Description [src]

Creates an `EDataBookDirect` to report configuration data needed for direct read access.

This is returned by `e_book_backend_get_direct_book()` for backends which support direct read access mode.

Available since: 3.8

#### Parameters

`backend_path`

  Type: `const gchar*`

  Full path to the installed backend shared library.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`backend_factory_name`

  Type: `const gchar*`

  Type name of the EBookBackendFactory implemented by the library.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`config`

  Type: `const gchar*`

  A backend specific configuration string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EDataBookDirect`

A newly created `EDataBookDirect`.

The caller of the function takes ownership of the data, and is responsible for freeing it.